Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154023 - CAN-2005-1042 PHP exif buffer overflow
Summary: CAN-2005-1042 PHP exif buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: impact=moderate,public=20050331,sourc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-06 16:32 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.3.11-2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-19 07:55:07 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-04-06 16:32:47 UTC
+++ This bug was initially created as a clone of Bug #154021 +++

PHP 4.3.11 fixes a buffer overflow bug in the exif extension.

http://cvs.php.net/diff.php/php-src/ext/exif/exif.c?r1=1.118.2.33&r2=1.118.2.34&ty=u

Comment 1 Josh Bressers 2005-04-06 16:33:28 UTC
This issue should also affect FC2

Comment 2 Joe Orton 2005-04-19 07:55:07 UTC
Fixed in 4.3.11 update, thanks for the report:

http://www.redhat.com/archives/fedora-announce-list/2005-April/msg00033.html




Note You need to log in before you can comment on or make changes to this bug.